ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
odf.odf2moinmoin.ODF2MoinMoin Class Reference

## Public Member Functions
| __init__ (self, filepath)
| processFontDeclarations (self, fontDecl)
| Extracts necessary font information from a font-declaration element.
| extractTextProperties (self, style, parent=None)
| Extracts text properties from a style element.
| extractParagraphProperties (self, style, parent=None)
| Extracts paragraph properties from a style element.
| processStyles (self, styleElements)
| Runs through "style" elements extracting necessary information.
| processListStyles (self, listStyleElements)
| load (self, filepath)
| Loads an ODT file.
| compressCodeBlocks (self, text)
| Removes extra blank lines from code blocks.
| do_nothing (self, node)
| draw_image (self, node)
| text_a (self, node)
| text_line_break (self, node)
| text_note (self, node)
| text_s (self, node)
| text_tab (self, node)
| inline_markup (self, node)
| listToString (self, listElement, indent=0)
| tableToString (self, tableElement)
| MoinMoin uses || to delimit table cells.
| toString (self)
| Converts the document to a string.
| textToString (self, element)
| paragraphToString (self, paragraph, indent=0)
| wrapParagraph (self, text, indent=0, blockquote=False)

## Public Attributes
| footnotes
| footnoteCounter
| textStyles
| paragraphStyles
| listStyles
| fixedFonts
| hasTitle
| lastsegment
| elements
| textToString
| draw_image
| text_a
| text_note
| content

## Detailed Description

Definition at line 145 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

## ◆ __init__()

odf.odf2moinmoin.ODF2MoinMoin.__init__ | ( |  | self,
|  |  | filepath
| ) |  |

Definition at line 148 of file odf2moinmoin.py.

## Member Function Documentation

## ◆ compressCodeBlocks()

odf.odf2moinmoin.ODF2MoinMoin.compressCodeBlocks | ( |  | self,
|  |  | text
| ) |  |

Removes extra blank lines from code blocks.

Definition at line 309 of file odf2moinmoin.py.

Here is the caller graph for this function:

## ◆ do_nothing()

odf.odf2moinmoin.ODF2MoinMoin.do_nothing | ( |  | self,
|  |  | node
| ) |  |

Definition at line 325 of file odf2moinmoin.py.

## ◆ draw_image()

odf.odf2moinmoin.ODF2MoinMoin.draw_image | ( |  | self,
|  |  | node
| ) |  |

Definition at line 330 of file odf2moinmoin.py.

## ◆ extractParagraphProperties()

odf.odf2moinmoin.ODF2MoinMoin.extractParagraphProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts paragraph properties from a style element.

Definition at line 215 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ extractTextProperties()

odf.odf2moinmoin.ODF2MoinMoin.extractTextProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts text properties from a style element.

Definition at line 189 of file odf2moinmoin.py.

Here is the caller graph for this function:

## ◆ inline_markup()

odf.odf2moinmoin.ODF2MoinMoin.inline_markup | ( |  | self,
|  |  | node
| ) |  |

Definition at line 369 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ listToString()

odf.odf2moinmoin.ODF2MoinMoin.listToString | ( |  | self,
|  |  | listElement,
|  |  | indent = `0`
| ) |  |

Definition at line 400 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ load()

odf.odf2moinmoin.ODF2MoinMoin.load | ( |  | self,
|  |  | filepath
| ) |  |

Loads an ODT file.

Definition at line 289 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ paragraphToString()

odf.odf2moinmoin.ODF2MoinMoin.paragraphToString | ( |  | self,
|  |  | paragraph,
|  |  | indent = `0`
| ) |  |

Definition at line 518 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ processFontDeclarations()

odf.odf2moinmoin.ODF2MoinMoin.processFontDeclarations | ( |  | self,
|  |  | fontDecl
| ) |  |

Extracts necessary font information from a font-declaration element.

Definition at line 181 of file odf2moinmoin.py.

Here is the caller graph for this function:

## ◆ processListStyles()

odf.odf2moinmoin.ODF2MoinMoin.processListStyles | ( |  | self,
|  |  | listStyleElements
| ) |  |

Definition at line 272 of file odf2moinmoin.py.

Here is the caller graph for this function:

## ◆ processStyles()

odf.odf2moinmoin.ODF2MoinMoin.processStyles | ( |  | self,
|  |  | styleElements
| ) |  |

Runs through "style" elements extracting necessary information.

Definition at line 253 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ tableToString()

odf.odf2moinmoin.ODF2MoinMoin.tableToString | ( |  | self,
|  |  | tableElement
| ) |  |

MoinMoin uses || to delimit table cells.

Definition at line 434 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ text_a()

odf.odf2moinmoin.ODF2MoinMoin.text_a | ( |  | self,
|  |  | node
| ) |  |

Definition at line 339 of file odf2moinmoin.py.

Here is the call graph for this function:

## ◆ text_line_break()

odf.odf2moinmoin.ODF2MoinMoin.text_line_break | ( |  | self,
|  |  | node
| ) |  |

Definition at line 348 of file odf2moinmoin.py.

## ◆ text_note()

odf.odf2moinmoin.ODF2MoinMoin.text_note | ( |  | self,
|  |  | node
| ) |  |

Definition at line 351 of file odf2moinmoin.py.

Here is the call graph for this function:

## ◆ text_s()

odf.odf2moinmoin.ODF2MoinMoin.text_s | ( |  | self,
|  |  | node
| ) |  |

Definition at line 359 of file odf2moinmoin.py.

## ◆ text_tab()

odf.odf2moinmoin.ODF2MoinMoin.text_tab | ( |  | self,
|  |  | node
| ) |  |

Definition at line 366 of file odf2moinmoin.py.

## ◆ textToString()

odf.odf2moinmoin.ODF2MoinMoin.textToString | ( |  | self,
|  |  | element
| ) |  |

Definition at line 488 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ toString()

odf.odf2moinmoin.ODF2MoinMoin.toString | ( |  | self | ) |

Converts the document to a string.

FIXME Result from second call differs from first call

Definition at line 455 of file odf2moinmoin.py.

Here is the call graph for this function:

## ◆ wrapParagraph()

odf.odf2moinmoin.ODF2MoinMoin.wrapParagraph | ( |  | self,
|  |  | text,
|  |  | indent = `0`,
|  |  | blockquote = `False`
| ) |  |

Definition at line 557 of file odf2moinmoin.py.

Here is the caller graph for this function:

## Member Data Documentation

## ◆ content

odf.odf2moinmoin.ODF2MoinMoin.content

Definition at line 300 of file odf2moinmoin.py.

## ◆ draw_image

odf.odf2moinmoin.ODF2MoinMoin.draw_image

Definition at line 162 of file odf2moinmoin.py.

## ◆ elements

odf.odf2moinmoin.ODF2MoinMoin.elements

Definition at line 159 of file odf2moinmoin.py.

## ◆ fixedFonts

odf.odf2moinmoin.ODF2MoinMoin.fixedFonts

Definition at line 154 of file odf2moinmoin.py.

## ◆ footnoteCounter

odf.odf2moinmoin.ODF2MoinMoin.footnoteCounter

Definition at line 150 of file odf2moinmoin.py.

## ◆ footnotes

odf.odf2moinmoin.ODF2MoinMoin.footnotes

Definition at line 149 of file odf2moinmoin.py.

## ◆ hasTitle

odf.odf2moinmoin.ODF2MoinMoin.hasTitle

Definition at line 155 of file odf2moinmoin.py.

## ◆ lastsegment

odf.odf2moinmoin.ODF2MoinMoin.lastsegment

Definition at line 156 of file odf2moinmoin.py.

## ◆ listStyles

odf.odf2moinmoin.ODF2MoinMoin.listStyles

Definition at line 153 of file odf2moinmoin.py.

## ◆ paragraphStyles

odf.odf2moinmoin.ODF2MoinMoin.paragraphStyles

Definition at line 152 of file odf2moinmoin.py.

## ◆ text_a

odf.odf2moinmoin.ODF2MoinMoin.text_a

Definition at line 164 of file odf2moinmoin.py.

## ◆ text_note

odf.odf2moinmoin.ODF2MoinMoin.text_note

Definition at line 165 of file odf2moinmoin.py.

## ◆ textStyles

odf.odf2moinmoin.ODF2MoinMoin.textStyles

Definition at line 151 of file odf2moinmoin.py.

## ◆ textToString

odf.odf2moinmoin.ODF2MoinMoin.textToString

Definition at line 160 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py